diff --git a/doc/builtins.ps b/doc/builtins.ps
index 5d49778a..2cab830a 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -1076,81 +1077,80 @@ BP
 /Times-Bold@0 SF(exec)108 84 Q F0([)2.5 E F1(\255cl)A F0 2.5(][)C F1
 <ad61>-2.5 E/F2 10/Times-Italic@0 SF(name)2.5 E F0 2.5(][)C F2(command)
 -2.5 E F0([)2.5 E F2(ar)A(guments)-.37 E F0(]])A(If)144 96 Q F2(command)
-3.006 E F0 .306(is speci\214ed, it replaces the shell.)3.576 F .305
-(No ne)5.305 F 2.805(wp)-.25 G .305(rocess is created.)-2.805 F(The)
-5.305 E F2(ar)3.135 E(guments)-.37 E F0(become)3.075 E .176(the ar)144
-108 R .176(guments to)-.18 F F2(command)2.676 E F0 5.176(.I)C 2.676(ft)
+3.005 E F0 .305(is speci\214ed, it replaces the shell.)3.575 F .305
+(No ne)5.305 F 2.805(wp)-.25 G .306(rocess is created.)-2.805 F(The)
+5.306 E F2(ar)3.136 E(guments)-.37 E F0(become)3.076 E .177(the ar)144
+108 R .177(guments to)-.18 F F2(command)2.676 E F0 5.176(.I)C 2.676(ft)
 -5.176 G(he)-2.676 E F1<ad6c>2.676 E F0 .176
-(option is supplied, the shell places a dash at the be)2.676 F .177
-(ginning of)-.15 F .5(the zeroth ar)144 120 R .5(gument passed to)-.18 F
-F2(command)3 E F0 5.499(.T).77 G .499(his is what)-5.499 F F2(lo)2.999 E
-(gin)-.1 E F0 .499(\(1\) does.).24 F(The)5.499 E F1<ad63>2.999 E F0 .499
-(option causes)2.999 F F2(com-)3.199 E(mand)144 132 Q F0 .638(to be e)
-3.908 F -.15(xe)-.15 G .638(cuted with an empty en).15 F 3.138
-(vironment. If)-.4 F F1<ad61>3.138 E F0 .638
-(is supplied, the shell passes)3.138 F F2(name)3.499 E F0 .639(as the)
-3.319 F 1.078(zeroth ar)144 144 R 1.077(gument to the e)-.18 F -.15(xe)
--.15 G 1.077(cuted command.).15 F(If)6.077 E F2(command)3.777 E F0 1.077
-(cannot be e)4.347 F -.15(xe)-.15 G 1.077(cuted for some reason, a).15 F
-(non-interacti)144 156 Q .876 -.15(ve s)-.25 H .576(hell e).15 F .576
-(xits, unless the)-.15 F F1(execfail)3.076 E F0 .577
-(shell option is enabled.)3.077 F .577(In that case, it returns f)5.577
-F(ail-)-.1 E 2.505(ure. An)144 168 R(interacti)2.505 E .305 -.15(ve s)
--.25 H .005(hell returns f).15 F .005(ailure if the \214le cannot be e)
--.1 F -.15(xe)-.15 G 2.505(cuted. If).15 F F2(command)2.705 E F0 .005
-(is not speci\214ed,)3.275 F(an)144 180 Q 3.036(yr)-.15 G .536
-(edirections tak)-3.036 F 3.036(ee)-.1 G -.25(ff)-3.036 G .536
-(ect in the current shell, and the return status is 0.).25 F .536
-(If there is a redirection)5.536 F(error)144 192 Q 2.5(,t)-.4 G
+(option is supplied, the shell places a dash at the be)2.676 F .176
+(ginning of)-.15 F .499(the zeroth ar)144 120 R .499(gument passed to)
+-.18 F F2(command)2.999 E F0 5.499(.T).77 G .499(his is what)-5.499 F F2
+(lo)2.999 E(gin)-.1 E F0 .499(\(1\) does.).24 F(The)5.5 E F1<ad63>3 E F0
+.5(option causes)3 F F2(com-)3.2 E(mand)144 132 Q F0 .639(to be e)3.909
+F -.15(xe)-.15 G .638(cuted with an empty en).15 F 3.138(vironment. If)
+-.4 F F1<ad61>3.138 E F0 .638(is supplied, the shell passes)3.138 F F2
+(name)3.498 E F0 .638(as the)3.318 F 1.077(zeroth ar)144 144 R 1.077
+(gument to the e)-.18 F -.15(xe)-.15 G 1.077(cuted command.).15 F(If)
+6.077 E F2(command)3.777 E F0 1.077(cannot be e)4.347 F -.15(xe)-.15 G
+1.077(cuted for some reason, a).15 F(non-interacti)144 156 Q .877 -.15
+(ve s)-.25 H .577(hell e).15 F .577(xits, unless the)-.15 F F1(execfail)
+3.077 E F0 .577(shell option is enabled.)3.077 F .576
+(In that case, it returns f)5.577 F(ail-)-.1 E 2.505(ure. An)144 168 R
+(interacti)2.505 E .305 -.15(ve s)-.25 H .005(hell returns f).15 F .005
+(ailure if the \214le cannot be e)-.1 F -.15(xe)-.15 G 2.505(cuted. If)
+.15 F F2(command)2.705 E F0 .005(is not speci\214ed,)3.275 F(an)144 180
+Q 3.037(yr)-.15 G .537(edirections tak)-3.037 F 3.036(ee)-.1 G -.25(ff)
+-3.036 G .536(ect in the current shell, and the return status is 0.).25
+F .536(If there is a redirection)5.536 F(error)144 192 Q 2.5(,t)-.4 G
 (he return status is 1.)-2.5 E F1(exit)108 208.8 Q F0([)2.5 E F2(n)A F0
-6.29(]C)C .096(ause the shell to e)-6.29 F .096(xit with a status of)
--.15 F F2(n)2.596 E F0 5.096(.I)C(f)-5.096 E F2(n)2.955 E F0 .095
-(is omitted, the e)2.835 F .095(xit status is that of the last command)
+6.29(]C)C .095(ause the shell to e)-6.29 F .095(xit with a status of)
+-.15 F F2(n)2.595 E F0 5.095(.I)C(f)-5.095 E F2(n)2.955 E F0 .096
+(is omitted, the e)2.835 F .096(xit status is that of the last command)
 -.15 F -.15(exe)144 220.8 S 2.5(cuted. A).15 F(trap on)2.5 E/F3 9
 /Times-Bold@0 SF(EXIT)2.5 E F0(is e)2.25 E -.15(xe)-.15 G
 (cuted before the shell terminates.).15 E F1(export)108 237.6 Q F0([)2.5
 E F1(\255fn)A F0 2.5(][).833 G F2(name)-2.5 E F0([=)A F2(wor)A(d)-.37 E
-F0(]] ...)A F1(export \255p)108 249.6 Q F0 .256(The supplied)144 261.6 R
+F0(]] ...)A F1(export \255p)108 249.6 Q F0 .257(The supplied)144 261.6 R
 F2(names)3.117 E F0 .257(are mark)3.027 F .257(ed for automatic e)-.1 F
 .257(xport to the en)-.15 F .257(vironment of subsequently e)-.4 F -.15
-(xe)-.15 G(cuted).15 E 2.627(commands. If)144 273.6 R(the)2.627 E F1
-<ad66>2.627 E F0 .127(option is gi)2.627 F -.15(ve)-.25 G .127(n, the)
+(xe)-.15 G(cuted).15 E 2.626(commands. If)144 273.6 R(the)2.626 E F1
+<ad66>2.626 E F0 .127(option is gi)2.627 F -.15(ve)-.25 G .127(n, the)
 .15 F F2(names)2.987 E F0 .127(refer to functions.)2.897 F .127(If no)
-5.127 F F2(names)2.987 E F0 .127(are gi)2.897 F -.15(ve)-.25 G .126
+5.127 F F2(names)2.987 E F0 .127(are gi)2.897 F -.15(ve)-.25 G .127
 (n, or if the).15 F F1<ad70>144 285.6 Q F0 .048
-(option is supplied, a list of names of all e)2.547 F .048(xported v)
--.15 F .048(ariables is printed.)-.25 F(The)5.048 E F1<ad6e>2.548 E F0
-.048(option causes the)2.548 F -.15(ex)144 297.6 S 1.447
+(option is supplied, a list of names of all e)2.548 F .048(xported v)
+-.15 F .048(ariables is printed.)-.25 F(The)5.048 E F1<ad6e>2.547 E F0
+.047(option causes the)2.547 F -.15(ex)144 297.6 S 1.446
 (port property to be remo).15 F -.15(ve)-.15 G 3.947(df).15 G 1.447
 (rom each)-3.947 F F2(name)3.947 E F0 6.447(.I)C 3.947(fav)-6.447 G
 1.447(ariable name is follo)-4.197 F 1.447(wed by =)-.25 F F2(wor)A(d)
--.37 E F0 3.946(,t)C(he)-3.946 E -.25(va)144 309.6 S .741(lue of the v)
-.25 F .741(ariable is set to)-.25 F F2(wor)3.241 E(d)-.37 E F0(.)A F1
-(export)5.741 E F0 .742(returns an e)3.242 F .742
-(xit status of 0 unless an in)-.15 F -.25(va)-.4 G .742(lid option is)
-.25 F .032(encountered, one of the)144 321.6 R F2(names)2.532 E F0 .032
-(is not a v)2.532 F .032(alid shell v)-.25 F .032(ariable name, or)-.25
-F F1<ad66>2.531 E F0 .031(is supplied with a)2.531 F F2(name)2.891 E F0
-(that)2.711 E(is not a function.)144 333.6 Q F1(fc)108 350.4 Q F0([)2.5
+-.37 E F0 3.947(,t)C(he)-3.947 E -.25(va)144 309.6 S .742(lue of the v)
+.25 F .742(ariable is set to)-.25 F F2(wor)3.242 E(d)-.37 E F0(.)A F1
+(export)5.742 E F0 .742(returns an e)3.242 F .741
+(xit status of 0 unless an in)-.15 F -.25(va)-.4 G .741(lid option is)
+.25 F .031(encountered, one of the)144 321.6 R F2(names)2.531 E F0 .031
+(is not a v)2.531 F .032(alid shell v)-.25 F .032(ariable name, or)-.25
+F F1<ad66>2.532 E F0 .032(is supplied with a)2.532 F F2(name)2.892 E F0
+(that)2.712 E(is not a function.)144 333.6 Q F1(fc)108 350.4 Q F0([)2.5
 E F1<ad65>A F2(ename)2.5 E F0 2.5(][)C F1(\255lnr)-2.5 E F0 2.5(][)C F2
 <8c72>-2.5 E(st)-.1 E F0 2.5(][)C F2(last)-2.5 E F0(])A F1(fc \255s)108
 362.4 Q F0([)2.5 E F2(pat)A F0(=)A F2 -.37(re)C(p).37 E F0 2.5(][)C F2
-(cmd)-2.5 E F0(])A .431
+(cmd)-2.5 E F0(])A .432
 (The \214rst form selects a range of commands from)144 374.4 R F2<8c72>
-4.842 E(st)-.1 E F0(to)3.612 E F2(last)3.022 E F0 .432
-(from the history list and displays or)3.612 F .142(edits and re-e)144
-386.4 R -.15(xe)-.15 G .142(cutes them.).15 F F2 -.45(Fi)5.141 G -.1(rs)
+4.842 E(st)-.1 E F0(to)3.612 E F2(last)3.022 E F0 .431
+(from the history list and displays or)3.612 F .141(edits and re-e)144
+386.4 R -.15(xe)-.15 G .141(cutes them.).15 F F2 -.45(Fi)5.141 G -.1(rs)
 .45 G(t).1 E F0(and)3.321 E F2(last)2.731 E F0 .141
 (may be speci\214ed as a string \(to locate the last command)3.321 F(be)
-144 398.4 Q .31(ginning with that string\) or as a number \(an inde)-.15
-F 2.811(xi)-.15 G .311(nto the history list, where a ne)-2.811 F -.05
-(ga)-.15 G(ti).05 E .611 -.15(ve n)-.25 H(umber).15 E .315
-(is used as an of)144 410.4 R .315
-(fset from the current command number\).)-.25 F(If)5.315 E F2(last)2.904
-E F0 .314(is not speci\214ed it is set to the cur)3.494 F(-)-.2 E .948
+144 398.4 Q .311(ginning with that string\) or as a number \(an inde)
+-.15 F 2.811(xi)-.15 G .31(nto the history list, where a ne)-2.811 F
+-.05(ga)-.15 G(ti).05 E .61 -.15(ve n)-.25 H(umber).15 E .314
+(is used as an of)144 410.4 R .314
+(fset from the current command number\).)-.25 F(If)5.314 E F2(last)2.905
+E F0 .315(is not speci\214ed it is set to the cur)3.495 F(-)-.2 E .949
 (rent command for listing \(so that)144 422.4 R/F4 10/Courier@0 SF .948
 (fc \255l \25510)3.448 F F0 .948(prints the last 10 commands\) and to)
-3.448 F F2<8c72>5.359 E(st)-.1 E F0(other)4.129 E(-)-.2 E 2.5(wise. If)
+3.448 F F2<8c72>5.358 E(st)-.1 E F0(other)4.128 E(-)-.2 E 2.5(wise. If)
 144 434.4 R F2<8c72>4.41 E(st)-.1 E F0
 (is not speci\214ed it is set to the pre)3.18 E
 (vious command for editing and \25516 for listing.)-.25 E(The)144 458.4
@@ -1160,53 +1160,53 @@ F1<ad72>2.522 E F0 .022(option re)2.522 F -.15(ve)-.25 G .022
 (rses the order of).15 F .438(the commands.)144 470.4 R .438(If the)
 5.438 F F1<ad6c>2.938 E F0 .438(option is gi)2.938 F -.15(ve)-.25 G .438
 (n, the commands are listed on standard output.).15 F(Otherwise,)5.438 E
-.335(the editor gi)144 482.4 R -.15(ve)-.25 G 2.835(nb).15 G(y)-2.835 E
-F2(ename)3.025 E F0 .335(is in)3.015 F -.2(vo)-.4 G -.1(ke).2 G 2.835
+.334(the editor gi)144 482.4 R -.15(ve)-.25 G 2.834(nb).15 G(y)-2.834 E
+F2(ename)3.024 E F0 .335(is in)3.014 F -.2(vo)-.4 G -.1(ke).2 G 2.835
 (do).1 G 2.835(na\214)-2.835 G .335(le containing those commands.)-2.835
-F(If)5.334 E F2(ename)3.024 E F0 .334(is not gi)3.014 F -.15(ve)-.25 G
-(n,).15 E .63(the v)144 494.4 R .63(alue of the)-.25 F F3(FCEDIT)3.13 E
-F0 -.25(va)2.88 G .631(riable is used, and the v).25 F .631(alue of)-.25
-F F3(EDIT)3.131 E(OR)-.162 E F0(if)2.881 E F3(FCEDIT)3.131 E F0 .631
-(is not set.)2.881 F .631(If nei-)5.631 F .951(ther v)144 506.4 R .951
-(ariable is set,)-.25 F F2(vi)5.117 E F0 .951(is used.)5.117 F .95
-(When editing is complete, the edited commands are echoed and)5.951 F
--.15(exe)144 518.4 S(cuted.).15 E .788(In the second form,)144 542.4 R
+F(If)5.335 E F2(ename)3.025 E F0 .335(is not gi)3.015 F -.15(ve)-.25 G
+(n,).15 E .631(the v)144 494.4 R .631(alue of the)-.25 F F3(FCEDIT)3.131
+E F0 -.25(va)2.881 G .631(riable is used, and the v).25 F .631(alue of)
+-.25 F F3(EDIT)3.131 E(OR)-.162 E F0(if)2.881 E F3(FCEDIT)3.13 E F0 .63
+(is not set.)2.88 F .63(If nei-)5.63 F .95(ther v)144 506.4 R .95
+(ariable is set,)-.25 F F2(vi)5.116 E F0 .95(is used.)5.116 F .951
+(When editing is complete, the edited commands are echoed and)5.95 F
+-.15(exe)144 518.4 S(cuted.).15 E .789(In the second form,)144 542.4 R
 F2(command)3.288 E F0 .788(is re-e)3.288 F -.15(xe)-.15 G .788
 (cuted after each instance of).15 F F2(pat)3.288 E F0 .788
-(is replaced by)3.288 F F2 -.37(re)3.289 G(p).37 E F0(.)A F2(Com-)5.789
-E(mand)144 554.4 Q F0 .347(is intepreted the same as)2.847 F F2<8c72>
+(is replaced by)3.288 F F2 -.37(re)3.288 G(p).37 E F0(.)A F2(Com-)5.788
+E(mand)144 554.4 Q F0 .346(is intepreted the same as)2.846 F F2<8c72>
 2.847 E(st)-.1 E F0(abo)2.847 E -.15(ve)-.15 G 5.347(.A).15 G .347
-(useful alias to use with this is)-2.5 F F4 .346(r='fc \255s')2.847 F F0
-2.846(,s)C 2.846(ot)-2.846 G(hat)-2.846 E(typing)144 566.4 Q F4 7.165
-(rc)3.665 G(c)-7.165 E F0 1.165(runs the last command be)3.665 F 1.166
-(ginning with)-.15 F F4(cc)3.666 E F0 1.166(and typing)3.666 F F4(r)
-3.666 E F0(re-e)3.666 E -.15(xe)-.15 G 1.166(cutes the last com-).15 F
+(useful alias to use with this is)-2.5 F F4 .347(r='fc \255s')2.847 F F0
+2.847(,s)C 2.847(ot)-2.847 G(hat)-2.847 E(typing)144 566.4 Q F4 7.166
+(rc)3.666 G(c)-7.166 E F0 1.166(runs the last command be)3.666 F 1.166
+(ginning with)-.15 F F4(cc)3.666 E F0 1.165(and typing)3.666 F F4(r)
+3.665 E F0(re-e)3.665 E -.15(xe)-.15 G 1.165(cutes the last com-).15 F
 (mand.)144 578.4 Q .142(If the \214rst form is used, the return v)144
 602.4 R .142(alue is 0 unless an in)-.25 F -.25(va)-.4 G .142
 (lid option is encountered or).25 F F2<8c72>4.552 E(st)-.1 E F0(or)3.322
-E F2(last)2.732 E F0 .454(specify history lines out of range.)144 614.4
+E F2(last)2.732 E F0 .455(specify history lines out of range.)144 614.4
 R .454(If the)5.454 F F1<ad65>2.954 E F0 .454
-(option is supplied, the return v)2.954 F .455(alue is the v)-.25 F .455
-(alue of the)-.25 F .788(last command e)144 626.4 R -.15(xe)-.15 G .788
-(cuted or f).15 F .787
+(option is supplied, the return v)2.954 F .454(alue is the v)-.25 F .454
+(alue of the)-.25 F .787(last command e)144 626.4 R -.15(xe)-.15 G .787
+(cuted or f).15 F .788
 (ailure if an error occurs with the temporary \214le of commands.)-.1 F
-.787(If the)5.787 F 1.135
+.788(If the)5.788 F 1.136
 (second form is used, the return status is that of the command re-e)144
-638.4 R -.15(xe)-.15 G 1.136(cuted, unless).15 F F2(cmd)3.836 E F0 1.136
-(does not)4.406 F(specify a v)144 650.4 Q
+638.4 R -.15(xe)-.15 G 1.135(cuted, unless).15 F F2(cmd)3.835 E F0 1.135
+(does not)4.405 F(specify a v)144 650.4 Q
 (alid history line, in which case)-.25 E F1(fc)2.5 E F0(returns f)2.5 E
 (ailure.)-.1 E F1(fg)108 667.2 Q F0([)2.5 E F2(jobspec)A F0(])A(Resume)
-144 679.2 Q F2(jobspec)5.654 E F0 1.413(in the fore)4.224 F 1.413
+144 679.2 Q F2(jobspec)5.653 E F0 1.413(in the fore)4.223 F 1.413
 (ground, and mak)-.15 F 3.913(ei)-.1 G 3.913(tt)-3.913 G 1.413
 (he current job)-3.913 F 6.413(.I)-.4 G(f)-6.413 E F2(jobspec)5.653 E F0
-1.413(is not present, the)4.223 F(shell')144 691.2 Q 3.116(sn)-.55 G
-.616(otion of the)-3.116 F F2(curr)3.116 E .616(ent job)-.37 F F0 .617
-(is used.)3.116 F .617(The return v)5.617 F .617
+1.414(is not present, the)4.223 F(shell')144 691.2 Q 3.117(sn)-.55 G
+.617(otion of the)-3.117 F F2(curr)3.117 E .617(ent job)-.37 F F0 .617
+(is used.)3.117 F .617(The return v)5.617 F .616
 (alue is that of the command placed into the)-.25 F(fore)144 703.2 Q
-.363(ground, or f)-.15 F .363
-(ailure if run when job control is disabled or)-.1 F 2.862(,w)-.4 G .362
+.362(ground, or f)-.15 F .362
+(ailure if run when job control is disabled or)-.1 F 2.862(,w)-.4 G .363
 (hen run with job control enabled, if)-2.862 F F2(jobspec)145.74 715.2 Q
-F0 .004(does not specify a v)2.814 F .004(alid job or)-.25 F F2(jobspec)
+F0 .004(does not specify a v)2.815 F .004(alid job or)-.25 F F2(jobspec)
 4.244 E F0 .004(speci\214es a job that w)2.814 F .004
 (as started without job control.)-.1 F(GNU Bash-4.2)72 768 Q
 (2004 Apr 20)148.735 E(8)203.725 E 0 Cg EP
@@ -1219,70 +1219,70 @@ BP
 /Times-Bold@0 SF(getopts)108 84 Q/F2 10/Times-Italic@0 SF
 (optstring name)2.5 E F0([)2.5 E F2(ar)A(gs)-.37 E F0(])A F1(getopts)144
 96 Q F0 .793
-(is used by shell procedures to parse positional parameters.)3.294 F F2
-(optstring)6.023 E F0 .793(contains the option)3.513 F .149
-(characters to be recognized; if a character is follo)144 108 R .15
-(wed by a colon, the option is e)-.25 F .15(xpected to ha)-.15 F .45
--.15(ve a)-.2 H(n).15 E(ar)144 120 Q .579
-(gument, which should be separated from it by white space.)-.18 F .578
+(is used by shell procedures to parse positional parameters.)3.293 F F2
+(optstring)6.023 E F0 .793(contains the option)3.513 F .15
+(characters to be recognized; if a character is follo)144 108 R .149
+(wed by a colon, the option is e)-.25 F .149(xpected to ha)-.15 F .449
+-.15(ve a)-.2 H(n).15 E(ar)144 120 Q .578
+(gument, which should be separated from it by white space.)-.18 F .579
 (The colon and question mark char)5.579 F(-)-.2 E 1.665
 (acters may not be used as option characters.)144 132 R 1.665
 (Each time it is in)6.665 F -.2(vo)-.4 G -.1(ke).2 G(d,).1 E F1(getopts)
-4.165 E F0 1.665(places the ne)4.165 F(xt)-.15 E .797
-(option in the shell v)144 144 R(ariable)-.25 E F2(name)3.297 E F0 3.297
-(,i).18 G(nitializing)-3.297 E F2(name)3.657 E F0 .797(if it does not e)
-3.477 F .796(xist, and the inde)-.15 F 3.296(xo)-.15 G 3.296(ft)-3.296 G
-.796(he ne)-3.296 F(xt)-.15 E(ar)144 156 Q .085
+4.165 E F0 1.665(places the ne)4.165 F(xt)-.15 E .796
+(option in the shell v)144 144 R(ariable)-.25 E F2(name)3.296 E F0 3.296
+(,i).18 G(nitializing)-3.296 E F2(name)3.657 E F0 .797(if it does not e)
+3.477 F .797(xist, and the inde)-.15 F 3.297(xo)-.15 G 3.297(ft)-3.297 G
+.797(he ne)-3.297 F(xt)-.15 E(ar)144 156 Q .085
 (gument to be processed into the v)-.18 F(ariable)-.25 E/F3 9
 /Times-Bold@0 SF(OPTIND)2.585 E/F4 9/Times-Roman@0 SF(.)A F3(OPTIND)
-4.585 E F0 .085(is initialized to 1 each time the shell)2.335 F .846
+4.585 E F0 .085(is initialized to 1 each time the shell)2.335 F .845
 (or a shell script is in)144 168 R -.2(vo)-.4 G -.1(ke).2 G 3.345
 (d. When).1 F .845(an option requires an ar)3.345 F(gument,)-.18 E F1
-(getopts)3.345 E F0 .845(places that ar)3.345 F(gument)-.18 E .803
-(into the v)144 180 R(ariable)-.25 E F3(OPT)3.303 E(ARG)-.81 E F4(.)A F0
-.803(The shell does not reset)5.303 F F3(OPTIND)3.303 E F0 .804
-(automatically; it must be manually)3.054 F .294
+(getopts)3.346 E F0 .846(places that ar)3.346 F(gument)-.18 E .804
+(into the v)144 180 R(ariable)-.25 E F3(OPT)3.304 E(ARG)-.81 E F4(.)A F0
+.803(The shell does not reset)5.304 F F3(OPTIND)3.303 E F0 .803
+(automatically; it must be manually)3.053 F .293
 (reset between multiple calls to)144 192 R F1(getopts)2.793 E F0 .293
 (within the same shell in)2.793 F -.2(vo)-.4 G .293(cation if a ne).2 F
-2.793(ws)-.25 G .293(et of parameters)-2.793 F(is to be used.)144 204 Q
-2.043(When the end of options is encountered,)144 228 R F1(getopts)4.543
-E F0 -.15(ex)4.543 G 2.043(its with a return v).15 F 2.044
+2.793(ws)-.25 G .294(et of parameters)-2.793 F(is to be used.)144 204 Q
+2.044(When the end of options is encountered,)144 228 R F1(getopts)4.543
+E F0 -.15(ex)4.543 G 2.043(its with a return v).15 F 2.043
 (alue greater than zero.)-.25 F F3(OPTIND)144 240 Q F0
 (is set to the inde)2.25 E 2.5(xo)-.15 G 2.5(ft)-2.5 G
 (he \214rst non-option ar)-2.5 E(gument, and)-.18 E F2(name)2.5 E F0
-(is set to ?.)2.5 E F1(getopts)144 264 Q F0 2.393
-(normally parses the positional parameters, b)4.893 F 2.392
-(ut if more ar)-.2 F 2.392(guments are gi)-.18 F -.15(ve)-.25 G 4.892
-(ni).15 G(n)-4.892 E F2(ar)4.892 E(gs)-.37 E F0(,).27 E F1(getopts)144
-276 Q F0(parses those instead.)2.5 E F1(getopts)144 300 Q F0 1.165
-(can report errors in tw)3.665 F 3.665(ow)-.1 G 3.665(ays. If)-3.765 F
-1.165(the \214rst character of)3.665 F F2(optstring)3.895 E F0 1.166
-(is a colon,)3.886 F F2(silent)4.006 E F0(error)4.346 E 1.071
+(is set to ?.)2.5 E F1(getopts)144 264 Q F0 2.392
+(normally parses the positional parameters, b)4.892 F 2.392
+(ut if more ar)-.2 F 2.393(guments are gi)-.18 F -.15(ve)-.25 G 4.893
+(ni).15 G(n)-4.893 E F2(ar)4.893 E(gs)-.37 E F0(,).27 E F1(getopts)144
+276 Q F0(parses those instead.)2.5 E F1(getopts)144 300 Q F0 1.166
+(can report errors in tw)3.666 F 3.665(ow)-.1 G 3.665(ays. If)-3.765 F
+1.165(the \214rst character of)3.665 F F2(optstring)3.895 E F0 1.165
+(is a colon,)3.885 F F2(silent)4.005 E F0(error)4.345 E 1.07
 (reporting is used.)144 312 R 1.071
-(In normal operation, diagnostic messages are printed when in)6.071 F
--.25(va)-.4 G 1.07(lid options or).25 F .393(missing option ar)144 324 R
-.393(guments are encountered.)-.18 F .394(If the v)5.394 F(ariable)-.25
-E F3(OPTERR)2.894 E F0 .394(is set to 0, no error messages)2.644 F
+(In normal operation, diagnostic messages are printed when in)6.07 F
+-.25(va)-.4 G 1.071(lid options or).25 F .394(missing option ar)144 324
+R .394(guments are encountered.)-.18 F .394(If the v)5.394 F(ariable)
+-.25 E F3(OPTERR)2.894 E F0 .394(is set to 0, no error messages)2.644 F
 (will be displayed, e)144 336 Q -.15(ve)-.25 G 2.5(ni).15 G 2.5(ft)-2.5
 G(he \214rst character of)-2.5 E F2(optstring)2.73 E F0(is not a colon.)
-2.72 E .667(If an in)144 360 R -.25(va)-.4 G .667(lid option is seen,)
-.25 F F1(getopts)3.167 E F0 .667(places ? into)3.167 F F2(name)3.527 E
-F0 .666(and, if not silent, prints an error message)3.347 F .399
-(and unsets)144 372 R F3(OPT)2.899 E(ARG)-.81 E F4(.)A F0(If)4.899 E F1
+2.72 E .666(If an in)144 360 R -.25(va)-.4 G .666(lid option is seen,)
+.25 F F1(getopts)3.166 E F0 .667(places ? into)3.167 F F2(name)3.527 E
+F0 .667(and, if not silent, prints an error message)3.347 F .4
+(and unsets)144 372 R F3(OPT)2.9 E(ARG)-.81 E F4(.)A F0(If)4.899 E F1
 (getopts)2.899 E F0 .399
 (is silent, the option character found is placed in)2.899 F F3(OPT)2.899
-E(ARG)-.81 E F0 .4(and no)2.65 F(diagnostic message is printed.)144 384
-Q 1.242(If a required ar)144 408 R 1.242(gument is not found, and)-.18 F
-F1(getopts)3.741 E F0 1.241(is not silent, a question mark \()3.741 F F1
-(?).833 E F0 3.741(\)i).833 G 3.741(sp)-3.741 G 1.241(laced in)-3.741 F
-F2(name)144 420 Q F0(,).18 E F3(OPT)2.734 E(ARG)-.81 E F0 .234
-(is unset, and a diagnostic message is printed.)2.484 F(If)5.234 E F1
-(getopts)2.734 E F0 .235(is silent, then a colon \()2.734 F F1(:).833 E
-F0(\)).833 E(is placed in)144 432 Q F2(name)2.86 E F0(and)2.68 E F3(OPT)
-2.5 E(ARG)-.81 E F0(is set to the option character found.)2.25 E F1
-(getopts)144 456 Q F0 .902
+E(ARG)-.81 E F0 .399(and no)2.649 F(diagnostic message is printed.)144
+384 Q 1.241(If a required ar)144 408 R 1.241(gument is not found, and)
+-.18 F F1(getopts)3.741 E F0 1.241(is not silent, a question mark \()
+3.741 F F1(?).833 E F0 3.742(\)i).833 G 3.742(sp)-3.742 G 1.242
+(laced in)-3.742 F F2(name)144 420 Q F0(,).18 E F3(OPT)2.735 E(ARG)-.81
+E F0 .234(is unset, and a diagnostic message is printed.)2.485 F(If)
+5.234 E F1(getopts)2.734 E F0 .234(is silent, then a colon \()2.734 F F1
+(:).833 E F0(\)).833 E(is placed in)144 432 Q F2(name)2.86 E F0(and)2.68
+E F3(OPT)2.5 E(ARG)-.81 E F0(is set to the option character found.)2.25
+E F1(getopts)144 456 Q F0 .902
 (returns true if an option, speci\214ed or unspeci\214ed, is found.)
-3.402 F .902(It returns f)5.902 F .901(alse if the end of)-.1 F
+3.401 F .902(It returns f)5.902 F .902(alse if the end of)-.1 F
 (options is encountered or an error occurs.)144 468 Q F1(hash)108 484.8
 Q F0([)2.5 E F1(\255lr)A F0 2.5(][)C F1<ad70>-2.5 E F2(\214lename)2.5 E
 F0 2.5(][)C F1(\255dt)-2.5 E F0 2.5(][)C F2(name)-2.5 E F0(])A .858
@@ -1291,35 +1291,35 @@ G -.1(ke).2 G .858(d, the full pathname of the command).1 F F2(name)
 3.718 E F0 .858(is determined by searching)3.538 F .956
 (the directories in)144 508.8 R F1($P)3.456 E -.95(AT)-.74 G(H).95 E F0
 .956(and remembered.)3.456 F(An)5.956 E 3.456(yp)-.15 G(re)-3.456 E .956
-(viously-remembered pathname is discarded.)-.25 F .242(If the)144 520.8
-R F1<ad70>2.742 E F0 .243
-(option is supplied, no path search is performed, and)2.742 F F2
-(\214lename)4.653 E F0 .243(is used as the full \214lename)2.923 F 1.712
-(of the command.)144 532.8 R(The)6.712 E F1<ad72>4.212 E F0 1.711
-(option causes the shell to for)4.212 F 1.711
-(get all remembered locations.)-.18 F(The)6.711 E F1<ad64>4.211 E F0
+(viously-remembered pathname is discarded.)-.25 F .243(If the)144 520.8
+R F1<ad70>2.743 E F0 .243
+(option is supplied, no path search is performed, and)2.743 F F2
+(\214lename)4.653 E F0 .242(is used as the full \214lename)2.923 F 1.711
+(of the command.)144 532.8 R(The)6.711 E F1<ad72>4.211 E F0 1.711
+(option causes the shell to for)4.211 F 1.712
+(get all remembered locations.)-.18 F(The)6.712 E F1<ad64>4.212 E F0
 .833(option causes the shell to for)144 544.8 R .833
 (get the remembered location of each)-.18 F F2(name)3.333 E F0 5.833(.I)
 C 3.333(ft)-5.833 G(he)-3.333 E F1<ad74>3.333 E F0 .833(option is sup-)
-3.333 F .704(plied, the full pathname to which each)144 556.8 R F2(name)
-3.204 E F0 .703(corresponds is printed.)3.204 F .703(If multiple)5.703 F
-F2(name)3.203 E F0(ar)3.203 E(guments)-.18 E .795(are supplied with)144
+3.333 F .703(plied, the full pathname to which each)144 556.8 R F2(name)
+3.204 E F0 .704(corresponds is printed.)3.204 F .704(If multiple)5.704 F
+F2(name)3.204 E F0(ar)3.204 E(guments)-.18 E .795(are supplied with)144
 568.8 R F1<ad74>3.295 E F0 3.295(,t)C(he)-3.295 E F2(name)3.295 E F0
 .795(is printed before the hashed full pathname.)3.295 F(The)5.795 E F1
 <ad6c>3.295 E F0 .795(option causes)3.295 F .934
 (output to be displayed in a format that may be reused as input.)144
-580.8 R .934(If no ar)5.934 F .934(guments are gi)-.18 F -.15(ve)-.25 G
-.934(n, or if).15 F(only)144 592.8 Q F1<ad6c>2.821 E F0 .321
-(is supplied, information about remembered commands is printed.)2.821 F
-.322(The return status is true)5.322 F(unless a)144 604.8 Q F2(name)2.86
+580.8 R .934(If no ar)5.934 F .935(guments are gi)-.18 F -.15(ve)-.25 G
+.935(n, or if).15 F(only)144 592.8 Q F1<ad6c>2.822 E F0 .322
+(is supplied, information about remembered commands is printed.)2.822 F
+.321(The return status is true)5.321 F(unless a)144 604.8 Q F2(name)2.86
 E F0(is not found or an in)2.68 E -.25(va)-.4 G(lid option is supplied.)
 .25 E F1(help)108 621.6 Q F0([)2.5 E F1(\255dms)A F0 2.5(][)C F2
-(pattern)-2.5 E F0(])A .867(Display helpful information about b)144
+(pattern)-2.5 E F0(])A .866(Display helpful information about b)144
 633.6 R .867(uiltin commands.)-.2 F(If)5.867 E F2(pattern)4.617 E F0
-.866(is speci\214ed,)3.607 F F1(help)3.366 E F0(gi)3.366 E -.15(ve)-.25
-G 3.366(sd).15 G(etailed)-3.366 E .306(help on all commands matching)144
-645.6 R F2(pattern)2.806 E F0 2.807(;o).24 G .307
-(therwise help for all the b)-2.807 F .307
+.867(is speci\214ed,)3.607 F F1(help)3.367 E F0(gi)3.367 E -.15(ve)-.25
+G 3.367(sd).15 G(etailed)-3.367 E .307(help on all commands matching)144
+645.6 R F2(pattern)2.807 E F0 2.807(;o).24 G .307
+(therwise help for all the b)-2.807 F .306
 (uiltins and shell control struc-)-.2 F(tures is printed.)144 657.6 Q F1
 <ad64>144 669.6 Q F0(Display a short description of each)24.74 E F2
 (pattern)2.5 E F1<ad6d>144 681.6 Q F0(Display the description of each)
@@ -1342,13 +1342,13 @@ F1(history \255anrw)108 120 Q F0([)2.5 E F2(\214lename)A F0(])A F1
 -.37 G(..)-2.5 E F0(])A F1(history \255s)108 144 Q F2(ar)2.5 E(g)-.37 E
 F0([)2.5 E F2(ar)A 2.5(g.)-.37 G(..)-2.5 E F0(])A -.4(Wi)144 156 S .752
 (th no options, display the command history list with line numbers.).4 F
-.752(Lines listed with a)5.752 F F1(*)3.251 E F0(ha)3.251 E -.15(ve)-.2
-G .38(been modi\214ed.)144 168 R .38(An ar)5.38 F .38(gument of)-.18 F
+.752(Lines listed with a)5.752 F F1(*)3.252 E F0(ha)3.252 E -.15(ve)-.2
+G .381(been modi\214ed.)144 168 R .38(An ar)5.38 F .38(gument of)-.18 F
 F2(n)3.24 E F0 .38(lists only the last)3.12 F F2(n)3.24 E F0 2.88
 (lines. If)3.12 F .38(the shell v)2.88 F(ariable)-.25 E/F3 9
-/Times-Bold@0 SF(HISTTIMEFOR-)2.881 E(MA)144 180 Q(T)-.855 E F0 .265
-(is set and not null, it is used as a format string for)2.515 F F2
-(strftime)2.764 E F0 .264(\(3\) to display the time stamp asso-)B 1.019
+/Times-Bold@0 SF(HISTTIMEFOR-)2.88 E(MA)144 180 Q(T)-.855 E F0 .264
+(is set and not null, it is used as a format string for)2.514 F F2
+(strftime)2.765 E F0 .265(\(3\) to display the time stamp asso-)B 1.02
 (ciated with each displayed history entry)144 192 R 6.019(.N)-.65 G
 3.519(oi)-6.019 G(nterv)-3.519 E 1.019
 (ening blank is printed between the formatted)-.15 F .176
